| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Macros | Functions
ftw.h File Reference
`#include <sys/types.h>`
`#include <sys/stat.h>`
Include dependency graph for ftw.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | FTW

## Macros
#define | FTW_F 0 /* File. */
#define | FTW_D 1 /* Directory. */
#define | FTW_DNR 2 /* Directory without read permission. */
#define | FTW_DP 3 /* Directory with subdirectories visited. */
#define | FTW_NS 4 /* Unknown type; stat() failed. */
#define | FTW_SL 5 /* Symbolic link. */
#define | FTW_SLN 6 /* Sym link that names a nonexistent file. */
#define | FTW_PHYS 0x01 /* Physical walk, don't follow sym links. */
#define | FTW_MOUNT 0x02 /* The walk does not cross a mount point. */
#define | FTW_DEPTH 0x04 /* Subdirs visited before the dir itself. */
#define | FTW_CHDIR 0x08 /* Change to a directory before reading it. */

## Functions
__BEGIN_DECLS int | ftw (const char *, int(*)(const char *, const struct stat *, int), int)
int | nftw (const char *, int(*)(const char *, const struct stat *, int, struct FTW *), int, int)
int | ftw64 (const char *, int(*)(const char *, const struct stat64 *, int), int)
int | nftw64 (const char *, int(*)(const char *, const struct stat64 *, int, struct FTW *), int, int)

## Macro Definition Documentation

## ◆ FTW_CHDIR

#define FTW_CHDIR 0x08 /* Change to a directory before reading it. */

## ◆ FTW_D

#define FTW_D 1 /* Directory. */

## ◆ FTW_DEPTH

#define FTW_DEPTH 0x04 /* Subdirs visited before the dir itself. */

## ◆ FTW_DNR

#define FTW_DNR 2 /* Directory without read permission. */

## ◆ FTW_DP

#define FTW_DP 3 /* Directory with subdirectories visited. */

## ◆ FTW_F

#define FTW_F 0 /* File. */

## ◆ FTW_MOUNT

#define FTW_MOUNT 0x02 /* The walk does not cross a mount point. */

## ◆ FTW_NS

#define FTW_NS 4 /* Unknown type; stat() failed. */

## ◆ FTW_PHYS

#define FTW_PHYS 0x01 /* Physical walk, don't follow sym links. */

## ◆ FTW_SL

#define FTW_SL 5 /* Symbolic link. */

## ◆ FTW_SLN

#define FTW_SLN 6 /* Sym link that names a nonexistent file. */

## Function Documentation

## ◆ ftw()

__BEGIN_DECLS int ftw | ( | const char * | ,
|  | int(*)(const char *, const struct stat *, int) | ,
|  | int |
| ) |  |

## ◆ ftw64()

int ftw64 | ( | const char * | ,
|  | int(*)(const char *, const struct stat64 *, int) | ,
|  | int |
| ) |  |

## ◆ nftw()

int nftw | ( | const char * | ,
|  | int(*)(const char *, const struct stat *, int, struct FTW *) | ,
|  | int | ,
|  | int |
| ) |  |

## ◆ nftw64()

int nftw64 | ( | const char * | ,
|  | int(*)(const char *, const struct stat64 *, int, struct FTW *) | ,
|  | int | ,
|  | int |
| ) |  |